Package com.opensymphony.module.sitemesh.taglib.decorator

# Class UsePageTEI

java.lang.Object
javax.servlet.jsp.tagext.TagExtraInfo
com.opensymphony.module.sitemesh.taglib.decorator.UsePageTEI

Direct Known Subclasses:
  `UseHTMLPageTEI`

public class UsePageTEI extends javax.servlet.jsp.tagext.TagExtraInfo
TagExtraInfo implementation to expose Page object as variable.

Version:
  $Revision: 1.1 $
Author:
  Joe Walnes
See Also:
  - `UsePageTag`
  - `UseHTMLPageTEI`

## Constructor Summary

Constructors
Constructor
Description
`UsePageTEI()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getType()`
`javax.servlet.jsp.tagext.VariableInfo[]`
`getVariableInfo(javax.servlet.jsp.tagext.TagData data)`

### Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo

`getTagInfo, isValid, setTagInfo, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsePageTEI

public UsePageTEI()

## Method Details

### getType

protected String getType()

### getVariableInfo

public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

Overrides:
  `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`